# ClearSessionSavedataRequest | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface ClearSessionSavedataRequest

This is NOT similar to `NewClearSessionSavedataRequest`

interface ClearSessionSavedataRequest {
clientSessionId : string;
slot : number;
trainerId : number;
}

- Defined in src/@types/PokerogueSessionSavedataApi.ts:26

##### Index

### Properties

clientSessionId
slot
trainerId

## Properties

### clientSessionId

clientSessionId: string

- Defined in src/@types/PokerogueSessionSavedataApi.ts:29

### slot

slot: number

- Defined in src/@types/PokerogueSessionSavedataApi.ts:27

### trainerId

trainerId: number

- Defined in src/@types/PokerogueSessionSavedataApi.ts:28